Debian Bug report logs - #449237
iscsitarget-source: fails to compile against 2.6.23

version graph

Package: iscsitarget-source; Maintainer for iscsitarget-source is Debian iSCSI Maintainers <pkg-iscsi-maintainers@lists.alioth.debian.org>;

Reported by: Michael Prokop <mika@grml.org>

Date: Sun, 4 Nov 2007 12:00:03 UTC

Severity: normal

Found in versions iscsitarget/0.4.15-4, iscsitarget/0.4.15-5

Fixed in version iscsitarget/0.4.15+svn145-1

Done: Frederik Schüler <fs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Philipp Hug <debian@hug.cx>:
Bug#449237; Package iscsitarget-source. Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@grml.org>:
New Bug report received and forwarded. Copy sent to Philipp Hug <debian@hug.cx>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@grml.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: iscsitarget-source: fails to compile against 2.6.23
Date: Sun, 04 Nov 2007 12:48:54 +0100
Package: iscsitarget-source
Version: 0.4.15-4
Severity: normal


|   CC [M]  /usr/src/modules/iscsitarget/kernel/tio.o
| /usr/src/modules/iscsitarget/kernel/tio.c: In function ‘tio_init’:
| /usr/src/modules/iscsitarget/kernel/tio.c:114: error: too many arguments to function ‘kmem_cache_create’
| make[3]: *** [/usr/src/modules/iscsitarget/kernel/tio.o] Error 1

The fix is as simple as stripping the last NULL argument from the
kmem_cache_create() function inside kernel/iscsi.c and kernel/tio.c
(and putting a "#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,23)..."
around it).

regards,
-mika-




Information forwarded to debian-bugs-dist@lists.debian.org, Philipp Hug <debian@hug.cx>:
Bug#449237; Package iscsitarget-source. Full text and rfc822 format available.

Acknowledgement sent to Franklin PIAT <fpiat@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to Philipp Hug <debian@hug.cx>. Full text and rfc822 format available.

Message #10 received at 449237@bugs.debian.org (full text, mbox):

From: Franklin PIAT <fpiat@bigfoot.com>
To: Debian Bug Tracking System <449237@bugs.debian.org>
Subject: iscsitarget-source: temporary path to compile on 2.6.23
Date: Wed, 19 Dec 2007 23:58:52 +0100
[Message part 1 (text/plain, inline)]
Package: iscsitarget-source
Version: 0.4.15-5
Followup-For: Bug #449237

The issue described in this bug have been adressed in upstream
developpment version[1] revision 138 (on 2007-09-21). But
no new release yet.

For those who may need it, I've backported the patch r138.
(on the page http://wiki.debian.org/iSCSI/iscsitarget i explain
how to compile the module, with this patch).

[1] http://svn.berlios.de/wsvn/iscsitarget/trunk/?rev=138&sc=1

Franklin

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.23-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages iscsitarget-source depends on:
ii  bzip2                         1.0.3-7    high-quality block-sorting file co
ii  debhelper                     5.0.61     helper programs for debian/rules
ii  module-assistant              0.10.11    tool to make module package creati

iscsitarget-source recommends no packages.

-- no debconf information
[kernel-2.6.23-support.diff (text/plain, attachment)]

Reply sent to Frederik Schüler <fs@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Prokop <mika@grml.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 449237-close@bugs.debian.org (full text, mbox):

From: Frederik Schüler <fs@debian.org>
To: 449237-close@bugs.debian.org
Subject: Bug#449237: fixed in iscsitarget 0.4.15+svn145-1
Date: Sat, 29 Dec 2007 22:02:02 +0000
Source: iscsitarget
Source-Version: 0.4.15+svn145-1

We believe that the bug you reported is fixed in the latest version of
iscsitarget, which is due to be installed in the Debian FTP archive:

iscsitarget-source_0.4.15+svn145-1_all.deb
  to pool/main/i/iscsitarget/iscsitarget-source_0.4.15+svn145-1_all.deb
iscsitarget_0.4.15+svn145-1.diff.gz
  to pool/main/i/iscsitarget/iscsitarget_0.4.15+svn145-1.diff.gz
iscsitarget_0.4.15+svn145-1.dsc
  to pool/main/i/iscsitarget/iscsitarget_0.4.15+svn145-1.dsc
iscsitarget_0.4.15+svn145-1_amd64.deb
  to pool/main/i/iscsitarget/iscsitarget_0.4.15+svn145-1_amd64.deb
iscsitarget_0.4.15+svn145.orig.tar.gz
  to pool/main/i/iscsitarget/iscsitarget_0.4.15+svn145.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 449237@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frederik Schüler <fs@debian.org> (supplier of updated iscsitarget package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 29 Dec 2007 22:53:26 +0100
Source: iscsitarget
Binary: iscsitarget iscsitarget-source
Architecture: source amd64 all
Version: 0.4.15+svn145-1
Distribution: unstable
Urgency: low
Maintainer: Philipp Hug <debian@hug.cx>
Changed-By: Frederik Schüler <fs@debian.org>
Description: 
 iscsitarget - iSCSI Enterprise Target userland tools
 iscsitarget-source - iSCSI Enterprise Target kernel module source
Closes: 449237 457615
Changes: 
 iscsitarget (0.4.15+svn145-1) unstable; urgency=low
 .
   * New upstream snapshot.
     - support 2.6.23 kernels. (Closes: #449237)
     - fix ia64 FTBFS. (Closes: #457615)
   * Update to standards version 3.7.3, no changes needed.
   * Fix kbuild-clean target, thanks to Jeremy Laine <jeremy.laine@m4x.org>
     for the fix.
   * Add lsb section to the iscsitarget initscript.
   * Add lintian override for /etc/ietd.conf permissions.
Files: 
 21dd404cff465c951da3c3a8986b50ef 725 net optional iscsitarget_0.4.15+svn145-1.dsc
 100333960ab561783c71348f7da5f46d 102520 net optional iscsitarget_0.4.15+svn145.orig.tar.gz
 19367da06eff56462f3f4122e85da74b 5411 net optional iscsitarget_0.4.15+svn145-1.diff.gz
 5920a8515c6accf2da898d87eee18325 59136 net optional iscsitarget_0.4.15+svn145-1_amd64.deb
 53a3f649bd555b17f135f03de505c843 40818 net optional iscsitarget-source_0.4.15+svn145-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHdsJ86n7So0GVSSARAjJ+AJ9K5KBDQXMeEYR8gTNOKvrZNs63QwCfR0JZ
Jb0wrPTlNNtUsl4zyNW0rAQ=
=dWTb
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 01 Feb 2008 07:31:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:27:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.